For Developers

Get Calendar Day Incident

This model is part of the v2.5 API update which is currently in beta and therefore subject to change.

GET https://ed.link/api/v2/graph/calendar_day_incidents/:calendar_day_incident_id

Retrieve information about a specific Calendar Day Incident.

Request Parameters

ParameterLocationTypeDescription
calendar_day_incident_idurlstringThe UUID of the desired Calendar Day Incident.

Sample Request

axios.get('https://ed.link/api/v2/graph/calendar_day_incidents/00000000-0000-0000-0000-000000000000', {
    headers: {
        authorization: `Bearer ${integration_access_token}`
    }
});

Sample Response

{
    "$data": {
        "id": "00000000-0000-0000-0000-000000000000",
        "created_date": "2021-07-05T20:32:40.454Z",
        "updated_date": "2021-07-12T21:44:23.126Z",
        "code": "BW",
        "name": "Bad Weather",
        "description": "A bad weather event such as a blizzard or hurricane.",
        "mapping": "weather_emergency"
    },
    "$request": "00000000-0000-0000-0000-000000000000"
}